Freeciv-3.2: Diplomacy_dialog Struct Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Data Fields
Diplomacy_dialog Struct Reference

## Data Fields

struct Treaty * | treaty
struct gui_dialog * | dialog
GtkWidget * | menu0
GtkWidget * | menu1
GtkWidget * | image0
GtkWidget * | image1
GtkListStore * | store
GtkWidget * | pic0
GtkWidget * | pic1

## Detailed Description

Definition at line 53 of file diplodlg.c.

## Field Documentation

## ◆ dialog

struct gui_dialog * Diplomacy_dialog::dialog

Definition at line 55 of file diplodlg.c.

Referenced by create_diplomacy_dialog(), diplomacy_destroy(), gui_recv_accept_treaty(), gui_recv_create_clause(), gui_recv_remove_clause(), and popup_diplomacy_dialog().

## ◆ image0

GtkWidget* Diplomacy_dialog::image0

Definition at line 60 of file diplodlg.c.

Referenced by create_diplomacy_dialog(), and update_diplomacy_dialog().

## ◆ image1

GtkWidget* Diplomacy_dialog::image1

Definition at line 61 of file diplodlg.c.

Referenced by create_diplomacy_dialog(), and update_diplomacy_dialog().

## ◆ menu0

GtkWidget* Diplomacy_dialog::menu0

Definition at line 57 of file diplodlg.c.

Referenced by create_diplomacy_dialog().

## ◆ menu1

GtkWidget* Diplomacy_dialog::menu1

Definition at line 58 of file diplodlg.c.

Referenced by create_diplomacy_dialog().

## ◆ pic0

GtkWidget* Diplomacy_dialog::pic0

Definition at line 57 of file diplodlg.c.

Referenced by create_diplomacy_dialog(), and update_diplomacy_dialog().

## ◆ pic1

GtkWidget* Diplomacy_dialog::pic1

Definition at line 58 of file diplodlg.c.

Referenced by create_diplomacy_dialog(), and update_diplomacy_dialog().

## ◆ store

GtkListStore * Diplomacy_dialog::store

Definition at line 63 of file diplodlg.c.

Referenced by create_diplomacy_dialog(), and update_diplomacy_dialog().

## ◆ treaty

struct Treaty * Diplomacy_dialog::treaty

Definition at line 54 of file diplodlg.c.

Referenced by create_clause_menu(), create_diplomacy_dialog(), diplo_dialog_returnkey(), diplomacy_dialog_add_pact_clause(), diplomacy_dialog_add_pact_clause(), diplomacy_dialog_embassy_callback(), diplomacy_dialog_embassy_callback(), diplomacy_dialog_map_callback(), diplomacy_dialog_map_callback(), diplomacy_dialog_seamap_callback(), diplomacy_dialog_seamap_callback(), diplomacy_dialog_shared_tiles_callback(), diplomacy_dialog_shared_tiles_callback(), diplomacy_dialog_vision_callback(), diplomacy_dialog_vision_callback(), diplomacy_response(), gui_recv_accept_treaty(), gui_recv_cancel_meeting(), gui_recv_create_clause(), gui_recv_remove_clause(), popup_add_menu(), row_callback(), and update_diplomacy_dialog().